Loading...
Searching...
No Matches
pcl::io::CompressionPointTraits< PointT > Struct Template Reference

`#include <pcl/compression/organized_pointcloud_conversion.h>`

## Static Public Attributes

static const bool | hasColor = false
static const unsigned int | channels = 1
static const std::size_t | bytesPerPoint = 3 * sizeof(float)

## Detailed Description

template<typename PointT>
struct pcl::io::CompressionPointTraits< PointT >

Definition at line 55 of file organized_pointcloud_conversion.h.

## Member Data Documentation

## bytesPerPoint

template<typename PointT >

const std::size_t pcl::io::CompressionPointTraits< PointT >::bytesPerPoint = 3 * sizeof(float)

static

Definition at line 59 of file organized_pointcloud_conversion.h.

## channels

template<typename PointT >

const unsigned int pcl::io::CompressionPointTraits< PointT >::channels = 1

static

Definition at line 58 of file organized_pointcloud_conversion.h.

## hasColor

template<typename PointT >

const bool pcl::io::CompressionPointTraits< PointT >::hasColor = false

static

Definition at line 57 of file organized_pointcloud_conversion.h.

The documentation for this struct was generated from the following file:

- pcl/compression/organized_pointcloud_conversion.h